
/*! ============================================================================= */

/*! Mosaic-style post teasers grid. */

/*! ============================================================================= */
.vc-mosaic-posts-grid__block-title {
	font-size: 30px;
	text-align: center;
	margin-bottom: 40px;
}

.vc-mosaic-posts-grid__inner-wrap {
	position: relative;
	display: flex;
	flex-wrap: wrap;
	margin: -15px;
}

.vc-mosaic-posts-grid__single-item-upper-caption {
	font-style: italic;
	font-size: 13px;
	color: rgba(0, 0, 0, .5);
	margin-bottom: 8px;
}

.vc-mosaic-posts-grid__single-item {
	padding: 15px;
	display: flex;
	flex-direction: column;
	min-width: 0;
	flex: 0 0 auto;
}

.vc-mosaic-posts-grid__single-item .vc-post-teaser {
	flex: 1 1;
	height: auto;
}

.vc-mosaic-posts-grid__single-item .vc-post-teaser__caption {
	opacity: 1;
}

.vc-mosaic-posts-grid__single-item--1, .vc-mosaic-posts-grid__single-item--4 {
	flex-basis: 58.33333%;
	height: 450px;
}

.vc-mosaic-posts-grid__single-item--2, .vc-mosaic-posts-grid__single-item--3 {
	flex-basis: 41.66667%;
	height: 600px;
	margin-top: 60px;
}

.vc-mosaic-posts-grid__single-item--3 {
	margin-top: -210px;
}

@media (max-width: 991.98px) {
	.vc-mosaic-posts-grid__single-item {
		flex-basis: 100%;
		margin: 0;
	}
}

.vc-mosaic-posts-grid__center-btn {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	text-align: center;
	display: inline-block;
	font-size: 12px;
	line-height: 1;
	letter-spacing: 2px;
}

.vc-mosaic-posts-grid__center-btn .site-svg-icon {
	font-size: 36px;
	stroke-width: 1px;
	margin-bottom: 15px;
}

.vc-mosaic-posts-grid__center-btn:hover {
	text-decoration: none;
}

@media (max-width: 991.98px) {
	.vc-mosaic-posts-grid__center-btn {
		position: static;
		flex-basis: 100%;
		margin-top: 15px;
		transform: none;
		display: none;
	}
}
